<?xml version="1.0"?>

<ruleset name="Custom Rules"
         xmlns="http://pmd.sourceforge.net/ruleset/2.0.0"
         xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xsi:schemaLocation="http://pmd.sourceforge.net/ruleset/2.0.0 https://pmd.sourceforge.io/ruleset_2_0_0.xsd
http://pmd.sourceforge.net/ruleset/2.0.0 ">

    <description>
        My custom rules
    </description>


    <rule ref="category/java/errorprone.xml/BeanMembersShouldSerialize">
        <properties>
            <property name="ignoredAnnotations" value="Autowired|GetMapping|Mock|InjectMocks"/>
            <property name="prefix" value=""/>
        </properties>
    </rule>

<!--    <rule ref="category/java/bestpractices.xml/SystemPrintln"/>-->

</ruleset>